Skip to main content
GET
/
domains
/
{domain_id}
/
dns-records
Get list of domain DNS records by domain ID
curl --request GET \
  --url https://api.kinsta.com/v2/domains/{domain_id}/dns-records \
  --header 'Authorization: Bearer <token>'
{
  "domain": {
    "dns_records": [
      {
        "type": "A",
        "name": "abc.mydomain.com",
        "ttl": 3600,
        "resource_records": [
          {
            "value": "1.1.1.1"
          }
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

domain_id
string<uuid>
required
Example:

"54fb80af-576c-4fdc-ba4f-b596c83f15a1"

Response

Response object of domain DNS records requests

domain
object
required